Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.context
Class DummyContextManager

    java.lang.Object
      org.apache.sandesha2.context.DummyContextManager

All Implemented Interfaces:
  ContextManager

    public class DummyContextManager

extends java.lang.Object
implements ContextManager

Constructor Summary
`DummyContextManager(org.apache.axis2.context.ConfigurationContext context)`

Method Summary
`java.io.Serializable` | `storeContext()` Store the current threads execution context.
`java.lang.Runnable` | `wrapWithContext(java.lang.Runnable work, java.io.Serializable context)` Wrap the provided runnable with execution context that was previously stored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyContextManager

    public DummyContextManager(org.apache.axis2.context.ConfigurationContext context)

Method Detail

### storeContext

    public java.io.Serializable storeContext()

  Description copied from interface: `ContextManager`
  Store the current threads execution context. When embedded in an appserver, this provides a hook point to store classloaders, security context, JNDI, etc.

  Specified by:
    `storeContext` in interface `ContextManager`

### wrapWithContext

    public java.lang.Runnable wrapWithContext(java.lang.Runnable work,
                                              java.io.Serializable context)

  Description copied from interface: `ContextManager`
  Wrap the provided runnable with execution context that was previously stored. We expect the resulting runnable to be dispatched by a thread pool or other worker, and the wrapper ensures that the correct execution context will be applied.

  Specified by:
    `wrapWithContext` in interface `ContextManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.